QT += gui qml

TEMPLATE = lib
DEFINES += SCSTWSTYLING_LIBRARY

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    sources/scstwapptheme.cpp \
    sources/scstwappthememanager.cpp \
    sources/scstwstyling.cpp

HEADERS += \
    headers/scstwapptheme.h \
    headers/scstwappthememanager.h \
    headers/scstwstyling.h

RESOURCES += \
    resources/qml/ScStwStylingQml.qrc \
    resources/shared/ScStwStylingShared.qrc \

#DEPENDS
CONFIG(release, debug|release): {
    DESTDIR="$$PWD/build/release"
} else {
    DESTDIR="$$PWD/build/debug"
}

# Default rules for deployment.
target.path = /usr/local/lib
!isEmpty(target.path): INSTALLS += target
