#
# Copyright (C) 2018-2019 QuasarApp.
# Distributed under the lgplv3 software license, see the accompanying
# Everyone is permitted to copy and distribute verbatim copies
# of this license document, but changing it is not allowed.
#

QT -= gui
CONFIG += c++11

TARGET = Qt-Secret
TEMPLATE = lib

DEFINES += Qt_SECRET_LIBRARY
DEFINES += QT_DEPRECATED_WARNINGS

#DEPENDS
CONFIG(release, debug|release): {
    DESTDIR="$$PWD/build/release"
} else {
    DESTDIR="$$PWD/build/debug"
}

include($$PWD/GMP/GMP.pri)

VERSION = 1.2.0

HEADERS += \
           qtsecret_global.h \
           Qt-RSA/qrsaencryption.h

SOURCES += \
           Qt-RSA/qrsaencryption.cpp

target.path = /usr/local/lib
!isEmpty(target.path): INSTALLS += target
